Bug 441656 - procps states a bug is hit when receiving a signal
procps states a bug is hit when receiving a signal
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: procps (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tomas Smetana
Brian Brock
:
Depends On:
Blocks: 391501 871824
  Show dependency treegraph
 
Reported: 2008-04-09 07:41 EDT by Adam Stokes
Modified: 2012-12-14 07:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 554721 846993 847005 871824 (view as bug list)
Environment:
Last Closed: 2009-01-20 15:45:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cosmetic changes (577 bytes, patch)
2008-04-09 07:41 EDT, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-04-09 07:41:45 EDT
Description of problem:
ps implies there is a bug when a signal is received even though no bug is hit.

Version-Release number of selected component (if applicable):
procps-3.2.7

How reproducible:
100%

Steps to Reproduce:
1.ps auxwwwwwe | sleep 10 & pkill -1 ps
2.
3.
  
Actual results:
Signal 1 (HUP) caught by ps (procps version 3.2.7).
Please send bug reports to <feedback@lists.sf.net> or <albert@users.sf.net>

Expected results:
Signal 1 (HUP) caught by ps (procps version 3.2.7).

Additional info:
Comment 1 Adam Stokes 2008-04-09 07:41:46 EDT
Created attachment 301782 [details]
cosmetic changes
Comment 2 RHEL Product and Program Management 2008-06-02 16:08:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2009-01-20 15:45:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0071.html

Note You need to log in before you can comment on or make changes to this bug.